1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

Install problems on CentOS

Discussion in 'Plesk for Linux - 8.x and Older' started by gremki, Mar 15, 2006.

  1. gremki

    gremki Guest

    0
     
    Hello everyone!

    I have received the assigment to install plesk on a CentOS system and, of course, problems appeard.


    Preparing for packages installation...

    Installing packages
    Installing /PSA_7.5.4/rpm_CentOS_3.6/base/osCommerce-2.2ms2-7509.noarch.rpm
    Installing /PSA_7.5.4/rpm_CentOS_3.6/base/psa-7.5.4-centos3.3.build75050824.12.i586.rpm
    Installing /PSA_7.5.4/rpm_CentOS_3.6/base/psa-hotfix5-7.5.4-centos3.3.build75060118.21.i586.rpm
    Installing /PSA_7.5.4/rpm_CentOS_3.6/base/psa-qmail-1.03-centos3.3.build75050824.12.i586.rpm
    Installing /PSA_7.5.4/rpm_CentOS_3.6/opt/drweb/drweb-qmail-4.32-centos3.3.build75050824.12.i586.rpm
    Installing /PSA_7.5.4/rpm_CentOS_3.6/base/psa-courier-imap-add-7.5.4-centos3.3.build75050902.17.i586.rpm
    Installing /PSA_7.5.4/rpm_CentOS_3.6/base/psa-api-common-7.5.4-centos3.3.build75051014.16.noarch.rpm
    Installing /PSA_7.5.4/rpm_CentOS_3.6/base/psa-api-cli-7.5.4-centos3.3.build75051014.16.noarch.rpm
    Installing /PSA_7.5.4/rpm_CentOS_3.6/opt/api/psa-api-rpc-7.5.4-centos3.3.build75050930.11.noarch.rpm
    Installing /PSA_7.5.4/rpm_CentOS_3.6/opt/api/psa-agent-1.3.5-75050930.11.noarch.rpm
    Installing /PSA_7.5.4/rpm_CentOS_3.6/base/psa-key-7.5-centos3.3.build75050824.12.noarch.rpm
    Installing /PSA_7.5.4/rpm_CentOS_3.6/base/psa-locale-base-en-US-7.5.4-centos3.3.build75051115.01.noarch.rpm
    Installing /PSA_7.5.4/rpm_CentOS_3.6/opt/bu/psa-bu-7.5.4-centos3.3.build75050926.17.i586.rpm
    Installing /PSA_7.5.4/rpm_CentOS_3.6/opt/migration/psa-migration-manager-7.5.4-centos3.3.build75050930.11.i586.rpm
    Installing /PSA_7.5.4/rpm_CentOS_3.6/opt/modules/firewall/psa-firewall-1.0.1-centos3.3.build75050824.12.i586.rpm
    Installing /PSA_7.5.4/rpm_CentOS_3.6/opt/modules/vpn/psa-vpn-1.0.0-centos3.3.build75050824.12.i586.rpm
    Installing /PSA_7.5.4/rpm_CentOS_3.6/opt/docs/psa-manual-custom-skin-guide-7.5.4-centos3.3.build75050824.12.noarch.rpm
    Installing /PSA_7.5.4/rpm_CentOS_3.6/opt/modules/watchdog/psa-watchdog-1.0.0-centos3.3.build75050926.17.i586.rpm
    error: Failed dependencies:
    librpm-4.2.so is needed by psa-7.5.4-centos3.3.build75050824.12.i586
    librpmdb-4.2.so is needed by psa-7.5.4-centos3.3.build75050824.12.i586
    librpmio-4.2.so is needed by psa-7.5.4-centos3.3.build75050824.12.i586
    Not all required packages were installed.
    Press <ENTER> to continue...


    I tried with symlinks


    ll /usr/lib/librpm*-4.*
    -rwxr-xr-x 2 root root 328644 Aug 22 2005 /usr/lib/librpm-4.2.so
    -rwxr-xr-x 2 root root 328644 Aug 22 2005 /usr/lib/librpm-4.3.so
    -rwxr-xr-x 1 root root 144004 Aug 22 2005 /usr/lib/librpmbuild-4.3.so
    -rwxr-xr-x 2 root root 950692 Aug 22 2005 /usr/lib/librpmdb-4.2.so
    -rwxr-xr-x 2 root root 950692 Aug 22 2005 /usr/lib/librpmdb-4.3.so
    -rwxr-xr-x 2 root root 335992 Aug 22 2005 /usr/lib/librpmio-4.2.so
    -rwxr-xr-x 2 root root 335992 Aug 22 2005 /usr/lib/librpmio-4.3.so


    no luck...

    This was installed (I didn't do that - that's how I got the sever...)

    rpm -qa | grep rpm
    rpmdb-CentOS-4.2-0.20051011
    rpm-python-4.3.3-11_nonptl
    redhat-rpm-config-8.0.32.1-1
    rpm-libs-4.3.3-11_nonptl
    rpm-4.3.3-11_nonptl
    rpm-devel-4.3.3-11_nonptl
    rpm-build-4.3.3-11_nonptl


    Please, someone, HELP!
     
  2. eilko

    eilko Regular Pleskian

    28
    73%
    Joined:
    Aug 1, 2001
    Messages:
    468
    Likes Received:
    4
    Location:
    Enschede, Netherlands
    you use the Centos3.6 Plesk version on Centos4.2.

    You need the RHEL4 Plesk version. But first edit /etc/redhat-release and change "CentOS release 4.2 (Final)" to "RedHat Enterprise Linux 4"
     
  3. gremki

    gremki Guest

    0
     
    Thanks man!

    I wish I have thought of that... it would have saved me one day :cool:
     
Loading...